searchData={"items":[{"type":"module","title":"LibWechat","doc":"# LibWechat\n\nThis SDK provides an Elixir interface to interact with Wechat's APIs.\n\nHead to the [API reference](https://hexdocs.pm/lib_wechat/LibWechat.html) for usage details.","ref":"LibWechat.html"},{"type":"module","title":"Installation - LibWechat","doc":"Add the dependency to your `mix.exs` file:\n\n```elixir\ndef deps do\n  [\n    {:lib_wechat, \"~> 0.3\"}\n  ]\nend\n```","ref":"LibWechat.html#module-installation"},{"type":"module","title":"Usage - LibWechat","doc":"1. Create a new instance using `LibWechat`.\n\n```elixir\ndefmodule MyApp do\n  use LibWechat, otp_app: :my_app\nend\n```\n\n2. Configure your app.\n\n```elixir\nconfig :my_app, MyApp\n  appid: \"your appid\",\n  secret: \"your secret\" \n```\n3. Add your app to supervisor tree.\n```Elixir\nchildren = [\n  MyApp\n]\n\nSupervisor.init(children, strategy: :one_for_one)\n```\n4. Start your journey!\n\n```elixir\n# Get access token\nMyApp.get_access_token()\n\n# Get miniapp session with code\nMyApp.jscode_to_session(\"jscode\")\n\n# Get unlimited miniapp wxacode\nMyApp.get_unlimited_wxacode(token,\n    %{\"scene\" => \"foo=bar\",\n      \"page\" => \"pages/index/index\",\n      \"width\" => 430,\n      \"auto_color\" => false,\n      \"line_color\" => %{\"r\" => 0, \"g\" => 0, \"b\" => 0},\n      \"is_hyaline\" => false\n    })\n\n#.... see more api in lib_wechat.ex\n```","ref":"LibWechat.html#module-usage"},{"type":"module","title":"Supportted APIs - LibWechat","doc":"- [x] get_access_token\n- [x] jscode_to_session\n- [x] get_unlimited_wxacode\n- [x] get_urllink\n- [x] generate_scheme\n- [x] subscribe_send\n- [x] uniform_send\n- [x] get_phone_number\n- [x] msg_sec_check","ref":"LibWechat.html#module-supportted-apis"},{"type":"module","title":"License - LibWechat","doc":"This project is licensed under the MIT License - see the LICENSE file for details","ref":"LibWechat.html#module-license"},{"type":"module","title":"LibWechat.Debug","doc":"debug tools","ref":"LibWechat.Debug.html"},{"type":"function","title":"LibWechat.Debug.debug/1","doc":"","ref":"LibWechat.Debug.html#debug/1"},{"type":"function","title":"LibWechat.Debug.stacktrace/1","doc":"","ref":"LibWechat.Debug.html#stacktrace/1"},{"type":"behaviour","title":"LibWechat.Http","doc":"behavior os http transport","ref":"LibWechat.Http.html"},{"type":"callback","title":"LibWechat.Http.do_request/2","doc":"","ref":"LibWechat.Http.html#c:do_request/2"},{"type":"module","title":"LibWechat.Http.Finch","doc":"Implement LibWechat.Http behavior with Finch","ref":"LibWechat.Http.Finch.html"},{"type":"function","title":"LibWechat.Http.Finch.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"LibWechat.Http.Finch.html#child_spec/1"},{"type":"function","title":"LibWechat.Http.Finch.handle_do_request/2","doc":"","ref":"LibWechat.Http.Finch.html#handle_do_request/2"},{"type":"function","title":"LibWechat.Http.Finch.start_link/1","doc":"","ref":"LibWechat.Http.Finch.html#start_link/1"},{"type":"module","title":"LibWechat.Model.Http.Request","doc":"http request","ref":"LibWechat.Model.Http.Request.html"},{"type":"function","title":"LibWechat.Model.Http.Request.url/1","doc":"","ref":"LibWechat.Model.Http.Request.html#url/1"},{"type":"type","title":"LibWechat.Model.Http.Request.t/0","doc":"","ref":"LibWechat.Model.Http.Request.html#t:t/0"},{"type":"module","title":"LibWechat.Model.Http.Response","doc":"http response","ref":"LibWechat.Model.Http.Response.html"},{"type":"type","title":"LibWechat.Model.Http.Response.t/0","doc":"","ref":"LibWechat.Model.Http.Response.html#t:t/0"},{"type":"module","title":"LibWechat.Typespecs","doc":"typespecs","ref":"LibWechat.Typespecs.html"},{"type":"type","title":"LibWechat.Typespecs.body/0","doc":"","ref":"LibWechat.Typespecs.html#t:body/0"},{"type":"type","title":"LibWechat.Typespecs.dict/0","doc":"","ref":"LibWechat.Typespecs.html#t:dict/0"},{"type":"type","title":"LibWechat.Typespecs.headers/0","doc":"","ref":"LibWechat.Typespecs.html#t:headers/0"},{"type":"type","title":"LibWechat.Typespecs.http_status/0","doc":"","ref":"LibWechat.Typespecs.html#t:http_status/0"},{"type":"type","title":"LibWechat.Typespecs.method/0","doc":"","ref":"LibWechat.Typespecs.html#t:method/0"},{"type":"type","title":"LibWechat.Typespecs.name/0","doc":"","ref":"LibWechat.Typespecs.html#t:name/0"},{"type":"type","title":"LibWechat.Typespecs.on_start/0","doc":"","ref":"LibWechat.Typespecs.html#t:on_start/0"},{"type":"type","title":"LibWechat.Typespecs.opts/0","doc":"","ref":"LibWechat.Typespecs.html#t:opts/0"},{"type":"type","title":"LibWechat.Typespecs.params/0","doc":"","ref":"LibWechat.Typespecs.html#t:params/0"},{"type":"exception","title":"LibWechat.Error","doc":"errors","ref":"LibWechat.Error.html"},{"type":"function","title":"LibWechat.Error.new/2","doc":"","ref":"LibWechat.Error.html#new/2"},{"type":"type","title":"LibWechat.Error.t/0","doc":"","ref":"LibWechat.Error.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,50]}}